# Variable ngMessageExpDirective`Const`

ngMessageExpDirective: {
$inject: string[];
(
$animate: any,
): {
priority: number;
require: string;
restrict: string;
terminal: boolean;
transclude: string;
link(
scope: any,
element: any,
attrs: any,
ngMessagesCtrl: any,
$transclude: any,
): void;
};
} = ...

#### Type declaration

- - (
    $animate: any,
    ): {
    priority: number;
    require: string;
    restrict: string;
    terminal: boolean;
    transclude: string;
    link(
    scope: any,
    element: any,
    attrs: any,
    ngMessagesCtrl: any,
    $transclude: any,
    ): void;
    }

  - #### Parameters

    - $animate: any

    #### Returns {
    priority: number;
    require: string;
    restrict: string;
    terminal: boolean;
    transclude: string;
    link(
    scope: any,
    element: any,
    attrs: any,
    ngMessagesCtrl: any,
    $transclude: any,
    ): void;
    }

- ##### $inject: string[]

- Defined in src/directive/messages/messages.js:238